Bug 43427 - [Qt] Move Qt's popup menu implementation from WebCore to WebKit layer
Summary: [Qt] Move Qt's popup menu implementation from WebCore to WebKit layer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Luiz Agostini
URL:
Keywords:
Depends on:
Blocks: 43428
  Show dependency treegraph
 
Reported: 2010-08-03 09:24 PDT by Luiz Agostini
Modified: 2010-08-25 00:53 PDT (History)
5 users (show)

See Also:


Attachments
patch 1 (51.68 KB, patch)
2010-08-05 12:24 PDT, Luiz Agostini
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Agostini 2010-08-03 09:24:57 PDT
This is the last preparation step before going into actual WebKit2 popup menu API.

Now that the popup menu classes in WebCore/platform has changed a lot (bug 42592), QtAbstarctWebPopup became redundant and unnecessary. There is no need to keep any Qt specific code for popup menus in WebCore/platform and some layering violations may be removed.

No changes are needed in platform plugins interface. This change will not affect plugins.
Comment 1 Luiz Agostini 2010-08-05 12:24:05 PDT
Created attachment 63616 [details]
patch 1
Comment 2 WebKit Commit Bot 2010-08-06 04:16:06 PDT
Comment on attachment 63616 [details]
patch 1

Clearing flags on attachment: 63616

Committed r64829: <http://trac.webkit.org/changeset/64829>
Comment 3 WebKit Commit Bot 2010-08-06 04:16:10 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 WebKit Review Bot 2010-08-06 07:30:33 PDT
http://trac.webkit.org/changeset/64829 might have broken GTK Linux 32-bit Release
The following changes are on the blame list:
http://trac.webkit.org/changeset/64829
http://trac.webkit.org/changeset/64830